Bug 1003674 - [AMQP 1.0] annotations not handled correctly
[AMQP 1.0] annotations not handled correctly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
medium Severity unspecified
: 3.0
: ---
Assigned To: Gordon Sim
Ernie
: OtherQA
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-09-02 12:35 EDT by Gordon Sim
Modified: 2015-01-21 07:55 EST (History)
7 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:55:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Reproducer/verifier (1.98 KB, text/x-c++src)
2014-03-24 13:37 EDT, Ernie
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5106 None None None Never

  None (edit)
Description Gordon Sim 2013-09-02 12:35:38 EDT
Description of problem:

Annotations are not handled correctly by the broker.

Version-Release number of selected component (if applicable):

qpid-0.24

How reproducible:

100%

Steps to Reproduce:
1. configure a queue to add message sequencing
2. send to it via 1.0 connection
3. receive from it via 1.0 connection

Actual results:

Send attempt kills connection with message parsing error (from merge attempt) and the sequence numbers are not sent to the receiver at all. 

Expected results:

Sequence is available in messages fetched from the queue (as for 0-10).

Additional info:
Comment 1 Gordon Sim 2013-09-02 12:36:33 EDT
Fixed upstream: https://svn.apache.org/r1519466
Comment 2 Gordon Sim 2013-09-05 13:09:35 EDT
Also need https://svn.apache.org/r1520373
Comment 4 Gordon Sim 2013-09-11 04:45:11 EDT
Both commits listed above included in backported branch: http://git.app.eng.bos.redhat.com/?p=rh-qpid.git;a=shortlog;h=refs/heads/0.22-mrg-BZ1003674
Comment 6 Ernie 2014-03-24 13:37:17 EDT
Created attachment 878132 [details]
Reproducer/verifier

Cerates a connection using amqp1.0, creates a queue with msg sequencing, sends to and receives from queue. Exits with 0 if passes, exits with 1 if fails.
Comment 7 Ernie 2014-03-24 13:43:12 EDT
Verified RHEL 6.5 64
qpid-cpp-server-ha-0.22-35.el6.x86_64
python-qpid-0.22-11.el6.noarch
qpid-cpp-client-0.22-35.el6.x86_64
qpid-tools-0.22-8.el6.noarch
qpid-cpp-client-devel-0.22-35.el6.x86_64
qpid-java-client-0.22-6.el6.noarch
qpid-proton-c-0.6-1.el6.x86_64
qpid-qmf-0.22-27.el6.x86_64
python-qpid-qmf-0.22-27.el6.x86_64
qpid-proton-c-devel-0.6-1.el6.x86_64
qpid-java-example-0.22-6.el6.noarch
qpid-cpp-server-0.22-35.el6.x86_64
qpid-java-common-0.22-6.el6.noarch

Verified RHEL 6.5 32
qpid-jca-0.22-2.el6.noarch
python-qpid-qmf-0.22-27.el6.i686
qpid-proton-c-devel-0.6-1.el6.i686
python-qpid-0.22-11.el6.noarch
qpid-proton-c-0.6-1.el6.i686
qpid-qmf-0.22-27.el6.i686
perl-qpid-0.22-7.el6.i686
qpid-snmpd-1.0.0-15.el6.i686
qpid-cpp-client-devel-0.22-35.el6.i686
qpid-cpp-server-linearstore-0.22-35.el6.i686
qpid-cpp-client-0.22-35.el6.i686
qpid-tools-0.22-8.el6.noarch
qpid-cpp-server-ha-0.22-35.el6.i686
qpid-java-client-0.22-6.el6.noarch
ruby-qpid-qmf-0.22-27.el6.i686
qpid-java-common-0.22-6.el6.noarch
qpid-cpp-server-0.22-35.el6.i686
qpid-jca-xarecovery-0.22-2.el6.noarch

Note You need to log in before you can comment on or make changes to this bug.